<h1>Register</h1>

<%= form_with model: @register_user, url: register_path do |form| -%>
  <%= form.hidden_field :id -%>

  <div class="form-group">
    <%= form.label :email -%>
    <%= form.text_field :email, class: "form-control#{@register_user.errors.include?(:email) ? " is-invalid" : ""}", placeholder: "email" -%>
    <% if @register_user.errors.include?(:email) -%>
      <div class="invalid-feedback">
        <%= @register_user.errors.full_messages_for(:email).join(", ") -%>
      </div>
    <% end -%>
  </div>

  <div class="form-group">
    <%= form.label :password -%>
    <%= form.password_field :password, class: "form-control#{@register_user.errors.include?(:password) ? " is-invalid" : "" }", placeholder: "password" -%>
    <% if @register_user.errors.include?(:password) -%>
      <div class="invalid-feedback">
        <%= @register_user.errors.full_messages_for(:password).join(", ") -%>
      </div>
    <% end -%>
  </div>

  <%= form.submit "Register!" -%>
<%- end -%>
